### Method

# GdkPixbuf Pixbuf get_pixels

#### Declaration [src]

    guchar*
    gdk_pixbuf_get_pixels (
      const GdkPixbuf* pixbuf
    )

#### Description [src]

Queries a pointer to the pixel data of a pixbuf.

This function will cause an implicit copy of the pixbuf data if the pixbuf was created from read-only data.

Please see the section on image data for information about how the pixel data is stored in memory.

The implementation of this method is provided by `gdk_pixbuf_get_pixels_with_length()` in language bindings

Gets property | `GdkPixbuf.Pixbuf:pixels`

#### Return value

Returns: | An array of `guchar`
| A pointer to the pixbuf’s pixel data.
| The data is owned by the instance.